button, input[type=submit] {
    font-size: var(--font-size);
    background-color: transparent;
    border: none;
}

button.anchor {
    font-size: inherit;
    background-color: transparent;
    border: none;
    margin: var(--button-size) 0px;
    padding: 0px;
}

button.anchor > a {
    padding: var(--button-size);
}

button a, input[type=submit], button {
    background-color: var(--palette-color-4);
    border: 2px solid var(--palette-color-3);
    color: var(--palette-color-1);
    text-decoration: none;
    padding: var(--button-size);
    cursor: pointer;
    height: fit-content;
    margin: 0px;
    border-radius: 5px;
}

button.quadrato a, .quadrato {
    border-radius: 10%;
}

button.ovale a {
    border-radius: 50%;
}

button a:hover, input[type=submit]:hover, button:hover {
  background-color: var(--palette-color-3);
  border: 2px solid var(--palette-color-4);
  transition: 0.3s;
    scale: 1.2;
}

button.anchor:hover {
    font-size: inherit;
    background-color: transparent;
    border: none;
        margin: var(--button-size) 0px;
    padding: 0px;
}